DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# IsScalar

Determines whether an image is a scalar

## SYNOPSIS

dip_Error dip_IsScalar( image, answer )

## FUNCTION

Determines whether an image is of the `DIP_IMTP_SCALAR` type. If `answer` is not zero, the verdict is passed in this variable. Otherwise, `dip_IsScalar` returns an error in case `image` fails to be a scalar.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | The image under investigation
`dip_Boolean *` | `answer` | The verdict

DIPlib on-line documentation | Function reference | Global function index